Subject: Re: question

From: Bryan Mclaughlin <[email-masked]>
Date: Wed, 05 Sep 2001 23:59:59 +0100

At 16:35 05/09/2001 -0500, hitesh rupare; wrote:
>hi,
>
>
>>"the mac addr is hard-coded on to the card " this is the address used  as a
>>source or as a destination in unicast communication.
>
>do you mean that the actual hard coded mac address is used only for 
>unicast and has nothing to do with multicast ?

Yes

>>Remeber the destination in IPmulticast is not a physical device but a
>>virtual group.
>
>
>i can understand that  this is how it works at the network layer ( ip ) 
>but i cant visualise this happening on mac layer or for physical 
>addresses...when they talk about mapping the last 28 bits of the group
>address to 23 bits of mac adddr what are they talking about ?

How can a Network layer Multicast address meant for *many* destinations use 
a real MAc address?

Answer by having the NIC listen not only to its *real* MAC address but also 
to other MAC address that correspond to the "virtual" address of the 
IPmulticast group.

>it seems ridiculous to me that if  the mac address of my card begins with 
>01-00-5e only then i can get multicast ...

You still have your regular MAC address but the NIC is also listening to 
the frames with the oui above

>i understand that this is not how it works but i have no explanation here 
>.... there has to be some way ( i know there is but i havent found this 
>anywhere ) that my mac address is overridden somehow by the last 23 bits 
>of the group address... i dont understand how and when this happens...

try

ftp://ftpeng.cisco.com/ipmulticast/whitepapers/technology_overview/index.html#xtocid51123

>rgds
>hitesh
>
>
>
>
>>
>>The destination MAc address of an IP Multicast frame is set as follows:
>>
>>Organisational Unit Identifier; 00.00.5E  as you say the least significant
>>bit of the most significant byte is set to 1 to indicate
>>Broadcast/Multicast so the OUI becomes 01.00.5E:
>>
>>To have a 1-1 mapping would have required 16 OUI's only 1 was made
>>available to Steve Deering. In fact he was only given 1/2 of the above
>>OUI.  So a possible 24 bits to map from IP add to MAC address became only
>>23 bits.
>>You will notice there are now 32 possible address that map to the each MAC
>>address.
>>
>>01.00.5E.01.01.01
>>
>>224.1.1.1
>>224.129.1.1
>>.
>>.
>>239.129.1.1
>>
>>Hope this helps
>>
>>
>>
>>
>>
>>At 20:44 04/09/2001 -0500, hitesh rupare; wrote:
>>>hi,
>>>
>>>the mac addr is hard-coded on to the card ... how then can one map the 28
>>>bits of the ip addr onto 23 bits of the mac addr ?
>>>
>>>also bit 0 in octet 7 has to be set to 1 for broadcast/multicast ... how
>>>is this bit set ?
>>>
>>>rgds
>>>hitesh
>>>
>>>
>>>
>>>>From: Beau Williamson <[email-masked]>
>>>>To: John Zwiebel <[email-masked]>,        Bryan Mclaughlin
>>>><[email-masked]>, [email-masked],        MAGMA Mailing List
>>>><[email-masked]>, [email-masked]
>>>>Subject: Re: draft-ietf-pim-dm-new-v2-04.txt
>>>>Date: Wed, 01 Aug 2001 16:37:59 -0500
>>>>
>>>>John,
>>>>
>>>>Once again I think you and I are on the same wavelength.  I'd like to see
>>>>MSNIP evolve into something more like the RTS/CTS mechanism that you
>>>>describe with sufficient specifications as to how the first hop device
>>>>(maybe a router or maybe a layer-3 aware switch) should handle this.
>>>>
>>>>In addition, I'd like to see "receiver" admission control added if at all
>>>>possible.  I'm not convinced that this would require a extension to IGMP
>>>>or a new protocol and may actual fall into vendor specific features.
>>>>
>>>>In any case, the worries over DoS Attacks due to random sourcing and
>>>>random joining (especially if SSM takes off) are real and are quickly
>>>>becoming a barrier to multicast deployment.
>>>>
>>>>Maybe this can be discussed at the MAGMA WG in London.  Unfortunately, I
>>>>won't be there so I'm hoping you or someone else will carry the
>>>>flag.  (At least initially.)
>>>>
>>>>Beau
>>>>At 01:26 PM 7/31/2001, John Zwiebel wrote:
>>>> >Bryan Mclaughlin wrote:
>>>> >>
>>>> >> This issue is addressed by Multicast Source Notification of Interest
>>>> >> Protocol (MSNIP)  for SM protocols,  isn't it ? What would need to be
>>>>added
>>>> >> to make it work for DM?
>>>> >>
>>>> >
>>>> >MSNIP does not do admission control.  It "kind of" does it, but
>>>> >there's nothing that prevents a source from dumping mpackets on to the
>>>> >LAN.
>>>> >And MSNIP does not specifically address what a router should do if
>>>> >it sees packets from a source that hasn't registered via MSNIP.
>>>> >(one could make the leap that in such a case the router could just
>>>> >bit bucket the data stream)
>>>> >
>>>> >The host (source) is still "in charge" and the network has to muddle
>>>> >through the best it can.  If a host is sending and there is no MSNIP
>>>> >available, there's nothing to stop it.
>>>> >
>>>> >The RTS/CTS process I'd like to see would make the network more
>>>> >"superior" to the host and is quite a bit more complicated than what
>>>> >MSNIP is trying to provide.
>>>> >
>>>> >I guess this sentence from the MSNIP draft makes my point:
>>>> >
>>>> >     Hosts that wish to be managed by MSNIP periodically transmit an
>>>> >     Interest Solicitation message. This message is multicast with a
>>>> >group
>>>> >     destination address of ALL_IGMPv3_ROUTERS (224.0.0.22) and is
>>>> >     transmitted every [Interest Solicitation Interval] seconds.
>>>> >
>>>> >  -- MSNIP is IGMPv3 only
>>>> >  -- Hosts can arbitrarily decide to not be managed by MSNIP
>>>> >  -- MSNIP does not describe how to signal the "network" that the
>>>> >        source is about to send.
>>>> >
>>>> >This shouldn't be taken as a condemnation of MSNIP.  Its quite
>>>> >possible my imagination just isn't strong enough to grasp the
>>>> >capabilities.  And what I think is needed may be way too complicated
>>>> >and contrary to the "spirit of the internet".
>>>
>>>
>>>_________________________________________________________________
>>>Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp
>>
>>
>>
>>Bryan Mclaughlin
>>Technical Marketing Engineer                Telephone :+44 (0)20 8756 8811
>>IOS Technology Division                 Email        :[email-masked]
>>Cisco Systems                   Mobile       :+44 (0)7710 164487
>
>
>_________________________________________________________________
>Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

Bryan Mclaughlin
Technical Marketing Engineer	            Telephone :+44 (0)20 8756 8811
IOS Technology Division 		Email        :[email-masked]
Cisco Systems			Mobile       :+44 (0)7710 164487

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 05 Sep 2001 17:55:49 -0400

"hitesh rupare;" wrote:

> do you mean that the actual hard coded mac address is used only for unicast
> and has nothing to do with multicast ?

Yes.

> i can understand that  this is how it works at the network layer ( ip ) but
> i cant visualise this happening on mac layer or for physical
> 01-00-5e only then i can get multicast ... i understand that this is not how
> it works but i have no explanation here .... there has to be some way ( i
> know there is but i havent found this anywhere ) that my mac address is
> overridden somehow by the last 23 bits of the group address... i dont
> understand how and when this happens...

Dear Hitesh;

When you start to send an IP multicast packet, or when a router or a switch receives a
multicast IP packet to go onto the LAN, it is supposed to encapsulate it in an ethernet packet
with the 01-00-5e-XYZ MAC address.

When you receive, the NIC card of your ethernet device is supposed to recognize the
01-00-5e-XYZ address and pass it up to the CPU for processing.
This is true REGARDLESS of the actual hard coded MAC addess of your device, which will
not have the 00-00-5e prefix.

The cool thing is that every device on the LAN can get the same multicast packet.

As you know, this actually works in practice - it's how all of our multicasts
come in and go out (as they have to traverse an Ethernet).

Marshall

> hitesh

T.M. Eubanks
Multicast Technologies, Inc
10301 Democracy Lane, Suite 410
Fairfax, Virginia 22030
Phone : 703-293-9624       Fax     : 703-293-9609
e-mail : [email-masked]
http://www.on-the-i.com

Test your network for multicast : http://www.multicasttech.com/mt/
 Check the status of multicast in real time :
 http://www.multicasttech.com/status/index.html

---

From: John Zwiebel <[email-masked]>
Date: Wed, 05 Sep 2001 15:03:12 -0700

Let me put in my 2cents:  "Destination Address"
                           ^^^^^^^^^^^

I could be mistaken, but somehow I get the feeling that this was lost
somewhere.

Thanks for your tolerance of my input.

:-)

---

From: "hitesh rupare;" <[email-masked]>
Date: Wed, 05 Sep 2001 16:35:59 -0500

hi,

rgds
hitesh